Loading...
Searching...
No Matches
juce::AccessibleState Class Reference

## Detailed Description

Represents the state of an accessible UI element.

An instance of this class is returned by AccessibilityHandler::getCurrentState() to convey its current state to an accessibility client.

See also
  AccessibilityHandler

The documentation for this class was generated from the following file:

- juce_gui_basics/accessibility/juce_AccessibilityState.h

## Public Member Functions

| AccessibleState ()=default
| Constructor.
AccessibleState | withCheckable () const noexcept
| Sets the checkable flag and returns the new state.
AccessibleState | withChecked () const noexcept
| Sets the checked flag and returns the new state.
AccessibleState | withCollapsed () const noexcept
| Sets the collapsed flag and returns the new state.
AccessibleState | withExpandable () const noexcept
| Sets the expandable flag and returns the new state.
AccessibleState | withExpanded () const noexcept
| Sets the expanded flag and returns the new state.
AccessibleState | withFocusable () const noexcept
| Sets the focusable flag and returns the new state.
AccessibleState | withFocused () const noexcept
| Sets the focused flag and returns the new state.
AccessibleState | withIgnored () const noexcept
| Sets the ignored flag and returns the new state.
AccessibleState | withSelectable () const noexcept
| Sets the selectable flag and returns the new state.
AccessibleState | withMultiSelectable () const noexcept
| Sets the multiSelectable flag and returns the new state.
AccessibleState | withSelected () const noexcept
| Sets the selected flag and returns the new state.
AccessibleState | withAccessibleOffscreen () const noexcept
| Sets the accessible offscreen flag and returns the new state.
bool | isCheckable () const noexcept
| Returns true if the UI element is checkable.
bool | isChecked () const noexcept
| Returns true if the UI element is checked.
bool | isCollapsed () const noexcept
| Returns true if the UI element is collapsed.
bool | isExpandable () const noexcept
| Returns true if the UI element is expandable.
bool | isExpanded () const noexcept
| Returns true if the UI element is expanded.
bool | isFocusable () const noexcept
| Returns true if the UI element is focusable.
bool | isFocused () const noexcept
| Returns true if the UI element is focused.
bool | isIgnored () const noexcept
| Returns true if the UI element is ignored.
bool | isMultiSelectable () const noexcept
| Returns true if the UI element supports multiple item selection.
bool | isSelectable () const noexcept
| Returns true if the UI element is selectable.
bool | isSelected () const noexcept
| Returns true if the UI element is selected.
bool | isAccessibleOffscreen () const noexcept
| Returns true if the UI element is accessible offscreen.

## Constructors and Destructors

## AccessibleState()

juce::AccessibleState::AccessibleState | ( |  | ) |

default

Constructor.

Represents a "default" state with no flags set. To set a flag, use one of the withX() methods - these can be chained together to set multiple flags.

Referenced by withAccessibleOffscreen(), withCheckable(), withChecked(), withCollapsed(), withExpandable(), withExpanded(), withFocusable(), withFocused(), withIgnored(), withMultiSelectable(), withSelectable(), and withSelected().

## Member Functions

## withCheckable()

AccessibleState juce::AccessibleState::withCheckable | ( |  | ) | const

inline nodiscard noexcept

Sets the checkable flag and returns the new state.

See also
  isCheckable

References AccessibleState().

## withChecked()

AccessibleState juce::AccessibleState::withChecked | ( |  | ) | const

inline nodiscard noexcept

Sets the checked flag and returns the new state.

See also
  isChecked

References AccessibleState().

## withCollapsed()

AccessibleState juce::AccessibleState::withCollapsed | ( |  | ) | const

inline nodiscard noexcept

Sets the collapsed flag and returns the new state.

See also
  isCollapsed

References AccessibleState().

## withExpandable()

AccessibleState juce::AccessibleState::withExpandable | ( |  | ) | const

inline nodiscard noexcept

Sets the expandable flag and returns the new state.

See also
  isExpandable

References AccessibleState().

## withExpanded()

AccessibleState juce::AccessibleState::withExpanded | ( |  | ) | const

inline nodiscard noexcept

Sets the expanded flag and returns the new state.

See also
  isExpanded

References AccessibleState().

## withFocusable()

AccessibleState juce::AccessibleState::withFocusable | ( |  | ) | const

inline nodiscard noexcept

Sets the focusable flag and returns the new state.

See also
  isFocusable

References AccessibleState().

## withFocused()

AccessibleState juce::AccessibleState::withFocused | ( |  | ) | const

inline nodiscard noexcept

Sets the focused flag and returns the new state.

See also
  isFocused

References AccessibleState().

## withIgnored()

AccessibleState juce::AccessibleState::withIgnored | ( |  | ) | const

inline nodiscard noexcept

Sets the ignored flag and returns the new state.

See also
  isIgnored

References AccessibleState().

## withSelectable()

AccessibleState juce::AccessibleState::withSelectable | ( |  | ) | const

inline nodiscard noexcept

Sets the selectable flag and returns the new state.

See also
  isSelectable

References AccessibleState().

## withMultiSelectable()

AccessibleState juce::AccessibleState::withMultiSelectable | ( |  | ) | const

inline nodiscard noexcept

Sets the multiSelectable flag and returns the new state.

See also
  isMultiSelectable

References AccessibleState().

## withSelected()

AccessibleState juce::AccessibleState::withSelected | ( |  | ) | const

inline nodiscard noexcept

Sets the selected flag and returns the new state.

See also
  isSelected

References AccessibleState().

## withAccessibleOffscreen()

AccessibleState juce::AccessibleState::withAccessibleOffscreen | ( |  | ) | const

inline nodiscard noexcept

Sets the accessible offscreen flag and returns the new state.

See also
  isSelected

References AccessibleState().

## isCheckable()

bool juce::AccessibleState::isCheckable | ( |  | ) | const

inline noexcept

Returns true if the UI element is checkable.

See also
  withCheckable

## isChecked()

bool juce::AccessibleState::isChecked | ( |  | ) | const

inline noexcept

Returns true if the UI element is checked.

See also
  withChecked

## isCollapsed()

bool juce::AccessibleState::isCollapsed | ( |  | ) | const

inline noexcept

Returns true if the UI element is collapsed.

See also
  withCollapsed

## isExpandable()

bool juce::AccessibleState::isExpandable | ( |  | ) | const

inline noexcept

Returns true if the UI element is expandable.

See also
  withExpandable

## isExpanded()

bool juce::AccessibleState::isExpanded | ( |  | ) | const

inline noexcept

Returns true if the UI element is expanded.

See also
  withExpanded

## isFocusable()

bool juce::AccessibleState::isFocusable | ( |  | ) | const

inline noexcept

Returns true if the UI element is focusable.

See also
  withFocusable

## isFocused()

bool juce::AccessibleState::isFocused | ( |  | ) | const

inline noexcept

Returns true if the UI element is focused.

See also
  withFocused

## isIgnored()

bool juce::AccessibleState::isIgnored | ( |  | ) | const

inline noexcept

Returns true if the UI element is ignored.

See also
  withIgnored

## isMultiSelectable()

bool juce::AccessibleState::isMultiSelectable | ( |  | ) | const

inline noexcept

Returns true if the UI element supports multiple item selection.

See also
  withMultiSelectable

## isSelectable()

bool juce::AccessibleState::isSelectable | ( |  | ) | const

inline noexcept

Returns true if the UI element is selectable.

See also
  withSelectable

## isSelected()

bool juce::AccessibleState::isSelected | ( |  | ) | const

inline noexcept

Returns true if the UI element is selected.

See also
  withSelected

## isAccessibleOffscreen()

bool juce::AccessibleState::isAccessibleOffscreen | ( |  | ) | const

inline noexcept

Returns true if the UI element is accessible offscreen.

See also
  withSelected

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited